Subject: bug#13151: 24.2; tramp with ido: enters self-killing loop when opening /ftp: and hitting enter.

From: Arne Babenhauserheide <[email-masked]>
Date: Thu, 13 Dec 2012 15:08:31 +0100

At Thu, 13 Dec 2012 10:00:29 +0100,
Michael Albinus wrote:
> I'm not sure it is a bug what you have detected. Ido and Tramp have
> exactly done what you have asked for. <RET> is bound to
> `ido-exit-minibuffer' (i.e., you have completed file name
> insertion). And ido has even asked you to confirm this. What else do you
> expect?

I would expect that C-x C-w would still work even though I entered a
nonsensical path (probably after hitting C-g to abort).

The bug is not that it tried to open arne@ftp, the bug is that I had
to kill the buffer and reopen the file to be able to use C-x C-w again.

> During these tests, I have found another error in recursive loading of
> Tramp modules, which has been introduced recently. This one I could fix.
> 
> For the bug report, I believe I cannot do anything else. So I would like
> to close it, if you don't oppose.

If the recursive loading fix fixes the issue that C-x C-f does not
work anymore, then sure. Otherwise I think it would be better to keep
it open…

> … 
> I have no other proposal what to change; ido's internal
> mechanery seems to work well wrt remote files.

Yepp, generally it is really nice!

Thank you for working on it!

Best wishes,
Arne